#
# spec file for package libgnomecanvas (Version 2.14.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip indent info insserv iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc41 libgcrypt libglade2 libglade2-devel libgpg-error libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xmlcharent xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libgnomecanvas
BuildRequires:  gnome-common gtkdoc indent iso_ent libart_lgpl-devel libglade2-devel libtiff-devel perl-XML-Parser sgml-skel update-desktop-files xmlcharent
%define prefix  /opt/gnome
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Version:        2.14.0
Release:        24
Summary:        An Add-On for the GNOME User Interface Libraries
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.12/libgnomecanvas-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libgnomecanvas is a graphical add-on for the GNOME User Interface
libraries.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    Malcolm Tredinnick <malcolm@commsecure.com.au>
    jacob berkman  <jacob@ximian.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Requires:       %{name} = %{version}
Requires:       libart_lgpl-devel gtk2-devel pango-devel glib2-devel glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    jacob berkman  <jacob@ximian.com>
    Malcolm Tredinnick <malcolm@commsecure.com.au>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Anders Carlsson  <andersca@gnu.org>
    Malcolm Tredinnick <malcolm@commsecure.com.au>
    jacob berkman  <jacob@ximian.com>

%prep
%setup -q -n libgnomecanvas-%{version} 

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I .
automake -c -a -f
autoconf 
CFLAGS="$RPM_OPT_FLAGS -fno-loop-optimize" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} \
            --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib/libglade/2.0/:$RPM_BUILD_ROOT/opt/gnome/%_lib:/opt/gnome/%_lib 
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/opt/gnome/%_lib/libglade/2.0/*.*a

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog 
%{prefix}/share/locale/*/LC_MESSAGES/libgnomecanvas-2.0.mo
%{prefix}/%_lib/libglade/2.0/*.so
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-,root,root)
#%{prefix}/%_lib/libglade/2.0/*.*a
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/pkgconfig/libgnomecanvas-2.0.pc
%{prefix}/include/libgnomecanvas-2.0

%files doc
%defattr(-,root,root)
%{prefix}/share/gtk-doc/html/libgnomecanvas

%changelog
* Sat Jul 22 2006 - gekker@suse.de
- Update to version 2.14.0
  - Updated and new translations:
- update to libgnomecanvas 2.13.0
  - Bug fixes:
    - Correctly reset item_list_end when moving the last
  item in the list. Fixes bug #323850. (Federico, Denis Auroux)
    - Remove a bunch of cruft and compiler warnings (Kjartan)
    - Add g_object_notify() call to allow users to connect to
  the notify::parent signal. Closes bug #320791. (Sven Herzberg)
    - Use BILINEAR interpolation instead of HYPER which is
  "a slow buggy piece of shit". (Federico)
    - Cast GNOME_CANVAS_COLOR macros to use unsigned ints so that
  shifting left 24 bits won't overflow into the sign bit.
  Fixes bug #317718. (Danek Duvall)
    - Correctly calculate width_in_pixels and height_in_pixels
  in gnome-canvas-pixbuf.c. (Hans de Graaff)
  - Docs:
    - Add API docs for gnome-canvas-rich-text.c (Dinoop Thomas)
  - Translation updates.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 - jpr@suse.de
- Work around compiler bug for now (#132010)
* Fri Oct 07 2005 - federico@novell.com
- Added libgnomecanvas-pixbuf-bilinear-interpolation.diff to replace
  HYPER interpolation with the much faster and non-buggy BILINEAR.
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Wed Aug 31 2005 - gekker@suse.de
- Fix requires in devel subpackage (113465)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.2
* Tue Aug 02 2005 - ro@suse.de
- use gtk2-devel-packages in nfb
* Mon Jun 27 2005 - sbrabec@suse.cz
- Updated to version 2.11.1.
- Removed unneeded static modules and .la files for modules.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.2
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.9.1
* Mon Nov 22 2004 - gekker@suse.de
- Update version to 2.8.0
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Oct 13 2004 - sbrabec@suse.cz
- Added libgcrypt libgpg-error to neededforbuild.
* Wed Sep 22 2004 - sbrabec@suse.cz
- Fixed empty documentation.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Directory packaging and prefix clash fix.
* Mon Jun 02 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Mon Jun 02 2003 - ro@suse.de
- include static lib in devel subpackage
- remove unpackaged files from buildroot
* Thu May 22 2003 - sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26877)
* Thu Feb 06 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Thu Jan 16 2003 - hhetter@suse.de
- updated to version 2.1.90
* Wed Jan 15 2003 - ro@suse.de
- added expat to neededforbuild
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.5 [GNOME 2.0.3]
* Thu Oct 24 2002 - hhetter@suse.de
- updated to version 2.0.4
- use "-c" with automake (Bug Id #21066)
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.2
* Tue Jun 25 2002 - hhetter@suse.de
- updated to version 2.0.1
* Wed Jun 19 2002 - ro@suse.de
- use "-a -f" for automake
* Mon Jun 10 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.117.0, source frozen
* Wed May 15 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- update to 1.114.0 [gnome2 desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
- really build and install libcanvas.so
* Thu Jan 17 2002 - hhetter@suse.de
- really prefix to /opt/gnome2
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 1.109.0
  * translation updates
* Thu Jan 10 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
